[Unit]
Description=DigitalRebar Provision Client Runner Initial Runnable
Documentation=https://docs.rackn.io/stable/
Wants=network-online.target network.target
After=network-online.target network.target

[Service]
Type=simple
EnvironmentFile=/etc/drpcli
ExecStartPre=-/bin/curl -g -o /usr/local/bin/drpcli "{{.ProvisionerURL}}/files/drpcli.amd64.linux"
ExecStartPre=-/bin/chmod +x /usr/local/bin/drpcli
ExecStart=/usr/local/bin/drpcli machines update "$RS_UUID" '{ "Runnable": true }'
RemainAfterExit=true
Restart=on-failure
RestartSec=5s
StandardOutput=journal

[Install]
WantedBy=multi-user.target
